Subject: Re: bug#41682: makefile-gmake-mode does not trigger "eval-after-load"'s hooks

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sat, 06 Jun 2020 23:26:12 +0100

Konstantin Kharlamov <[email-masked]> writes:

> Thank you, I migrated my emacs config to use the `with-eval-after-load` 
> you suggested, but stumbled upon a problem that it doesn't seem to work
> with python-mode. I tried as an argument `'python`, `'python-mode`,
> ``python.el`, `"python"`, `"python.el"` — none of that works for me.
> The code I'm trying to execute is simply:
>
> (with-eval-after-load 'python
>   '(modify-syntax-entry ?_ "w" python-mode-syntax-table))
>
> Simply removing the "with-" makes it work. Is there anything special
> about this macro I should know? 

Yes, its BODY should not be quoted:

  (with-eval-after-load 'python
    (modify-syntax-entry ?_ "w" python-mode-syntax-table))

-- 
Basil